
Name:    ksnakeduel
Summary: Snake duel game
Version: 4.10.1
Release: 1%{?dist}

License: GPLv2+ and GFDL
URL:     https://projects.kde.org/projects/kde/kdegames/%{name}
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires: desktop-file-utils
BuildRequires: libkdegames-devel >= %{version}

Requires: libkdegames%{?_isa} >= %{_kde4_version}

%description
KSnakeDuel is a simple snake duel game. You can play KSnakeDuel against
the computer or a friend. The aim of the game is to live longer than
your opponent. To do that, avoid running into a wall, your own tail and
that of your opponent.


%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang %{name} --with-kde --all-name


%check
desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/ktron.desktop
desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/kdesnake.desktop


%post
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :

%files -f %{name}.lang
%doc COPYING*
%{_kde4_bindir}/ktron
%{_kde4_bindir}/kdesnake
%{_kde4_datadir}/applications/kde4/*.desktop
%{_kde4_configdir}/ktron*
%{_kde4_configdir}.kcfg/ktron*.kcfg
%{_kde4_iconsdir}/hicolor/*/*/*
%{_kde4_appsdir}/ktron/


%changelog
* Sat Mar 02 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.10.1-1
- 4.10.1

* Sat Feb 16 2013 Rex Dieter <rdieter@fedoraproject.org> 4.10.0-3
- desktop-file-validate ... kdesnake.desktop

* Fri Feb 15 2013 Rex Dieter <rdieter@fedoraproject.org> 4.10.0-2
- update license, summary/description

* Thu Feb 07 2013 Rex Dieter <rdieter@fedoraproject.org> 4.10.0-1
- first try

